Bug 143617 - pam_smbpass.so not installed for both arches on multilib machines
pam_smbpass.so not installed for both arches on multilib machines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 17:01 EST by Nalin Dahyabhai
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: samba-3.0.10-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 20:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2004-12-22 17:01:27 EST
Description of problem:
The pam_smbpass.so module is included in the 'samba' binary package,
which is installed only for the native arch, not the 'samba-common'
package, which is installed for both native and compatibility arches,
so only native-arch binaries can use pam_smbpass.so in their PAM
configurations.

Version-Release number of selected component (if applicable):
samba-3.0.10-2

How reproducible:
Always.

Steps to Reproduce:
1. Install Raw Hide for x86_64, ensuring that biarch compatibility
packages are installed.
2. Check if both arches of "samba" are installed.
3. Check if both arches of "samba-common" are installed.
3. Check for /lib64/security/pam_smbpass.so.  If it exists, check if
/lib/security/pam_smbpass.so was also installed.
  
Actual results:
No 32-bit pam_smbpass.so module is installed.

Expected results:
A 32-bit pam_smbpass.so should be present on the system.

Note You need to log in before you can comment on or make changes to this bug.